Branch '2.3-stable' - 2 commits - install-kolab.sh

Christoph Wickert wickert at kolabsys.com
Wed Jun 1 01:35:51 CEST 2011


 install-kolab.sh |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

New commits:
commit 057168ab7400961b783e7badb0b203c2c2b37a1b
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Wed Jun 1 01:35:41 2011 +0200

    install-kolab.sh: Fix possibly incorrect return value (bugzilla.kolabsys.com #101)

diff --git a/install-kolab.sh b/install-kolab.sh
index 56c5683..66dc1e0 100755
--- a/install-kolab.sh
+++ b/install-kolab.sh
@@ -341,7 +341,7 @@ if [ -n "$DIR" ]; then
     echo "Installation completed."
     echo "$PKGDIR now contains the installed packages."
     echo "Previous contents were moved to $PKGBACKUP"
-    exit $?
+    exit $rc
 fi
 
 exit 0


commit d22bfac3586219eba8935e044b3866b0d8f5093f
Author: Christoph Wickert <wickert at kolabsys.com>
Date:   Wed Jun 1 01:31:36 2011 +0200

    install-kolab.sh: Let users know that install-kolab.sh completed (bugzilla.kolabsys.com #100)

diff --git a/install-kolab.sh b/install-kolab.sh
index 92901fe..56c5683 100755
--- a/install-kolab.sh
+++ b/install-kolab.sh
@@ -338,6 +338,7 @@ if [ -n "$DIR" ]; then
     echo "---------------------------------------"
     "$PREFIX/bin/openpkg" build -kKBuZ -r "$PKGDIR" -p "$PLATTAG" $DEFINE $PACKAGES | sh
     rc=$?
+    echo "Installation completed."
     echo "$PKGDIR now contains the installed packages."
     echo "Previous contents were moved to $PKGBACKUP"
     exit $?





More information about the commits mailing list